print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cucumberHudFile = "Paletten/hud_fill_cucumber.dds"
	local cucumberHudFileSmall = "Paletten/hud_fill_cucumber_smal.dds"
	
    local cucumberFilType = g_fillTypeManager:addFillType("CUCUMBER", g_i18n:getText("cucumber"), true, pricebeer * 0.5, 0.00045, math.rad(10), cucumberHudFile, cucumberHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascucumber=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascucumber=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CUCUMBER" then
		hascucumber=true
	end;
		
end;

		if hasmaize and not hascucumber then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CUCUMBER")
		local price = g_fillTypeManager:getFillTypeByName("CUCUMBER").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CUCUMBER")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)